Screen companies by fundamentals, ratios, sector, and industry
curl --request GET \
--url https://api.quantoraresearch.com/equity-screener \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/equity-screener"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/equity-screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Screeners
Screen companies by fundamentals, ratios, sector, and industry
GET
/
equity-screener
Screen companies by fundamentals, ratios, sector, and industry
curl --request GET \
--url https://api.quantoraresearch.com/equity-screener \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/equity-screener"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/equity-screener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
"<unknown>"
],
"meta": {
"request_id": "<string>",
"requestId": "<string>",
"api_version": "v1",
"pagination": {
"limit": 123,
"cursor": "<string>",
"next_cursor": "<string>",
"has_more": true
}
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Required. Comma-separated field:operator:value clauses, AND-ed. e.g. sector:eq:Information Technology,trailing_pe_ratio:lt:25. Numeric operators: gt, lt, gte, lte, eq, in ('in' takes pipe-separated values); string fields (sector, industry) take eq/in with case-insensitive text values. Companies missing a value for a filtered field are excluded by that filter. Fields from /equity-screener/filters.
Any screenable field, plus ticker and name. Companies missing the sort value sort last.
Available options:
asc, desc Required range:
1 <= x <= 200Opaque cursor from meta.pagination.next_cursor. meta.pagination also carries total, the full number of matches, so a truncated screen is always visible as such.